### Method

# Ide SymbolResolver get_symbol_tree_async

#### Declaration

    void
    ide_symbol_resolver_get_symbol_tree_async (
      IdeSymbolResolver* self,
      GFile* file,
      GBytes* contents,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously fetch an up to date symbol tree for `file`.

Available since: | 3.32

#### Parameters

`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.
`contents` | `GBytes`
| A `GBytes` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute upon completion.
| The argument can be `NULL`.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.